classification
Title: "Using Python on a Macintosh" chapter of "Python Setup and Usage" doc is out-of-date
Type: Stage: resolved
Components: Documentation, macOS Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: docs@python, makdon, ned.deily, ronaldoussoren, xtreak
Priority: normal Keywords: patch

Created on 2019-06-10 15:40 by makdon, last changed 2019-06-13 05:07 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13962 closed python-dev, 2019-06-11 02:40
PR 13963 merged python-dev, 2019-06-11 02:46
PR 13964 merged python-dev, 2019-06-11 02:50
PR 13966 merged python-dev, 2019-06-11 07:24
Messages (7)
msg345134 - (view) Author: makdon (makdon) * Date: 2019-06-10 15:40
According the mail in docs mailing list, there's a typo in python installation document on Macos. I will check it and create a PR if necessary.


The email says:


https://docs.python.org/3/using/mac.html#getting-and-installing-macpython

says
"What you get after installing is a number of things:

A MacPython 3.6 folder in your Applications folder."

However, after installing just now

$ /usr/local/bin/python3 -V
Python 3.7.3

I instead found a folder called

/Applications/Python 3.7
msg345135 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-06-10 15:44
Relevant email : https://mail.python.org/pipermail/docs/2019-June/041030.html
msg345170 - (view) Author: makdon (makdon) * Date: 2019-06-11 01:48
Thanks xtreak. I am a beginner on python mailing list and now i've learn how to get a link to the email.


And i found a version error on windows installation document on version 3.6.8 that the picture is still using version 3.5:

https://docs.python.org/3.6/using/windows.html#installation-steps

I will check them and create PR for it.
msg345182 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-06-11 05:37
New changeset fe5f8b9ce2e504d4510cc82129d595015d239634 by Ned Deily (Makdon) in branch '3.8':
[3.8] bpo-37216: Fix version and filename in Mac using document (GH-13964)
https://github.com/python/cpython/commit/fe5f8b9ce2e504d4510cc82129d595015d239634
msg345183 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-06-11 05:38
New changeset c59b1bbbb37bbfc7eb7a9386bb51c7fea838fc2a by Ned Deily (Makdon) in branch '3.7':
[3.7] bpo-37216: Fix version and filename in Mac using document (GH-13963)
https://github.com/python/cpython/commit/c59b1bbbb37bbfc7eb7a9386bb51c7fea838fc2a
msg345456 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-06-13 05:04
New changeset 905e19a9bf9afd6439ea44fc6a4f3c8631750d6d by Ned Deily (Makdon) in branch 'master':
bpo-37216: update version to 3.9 in mac using document (GH-13966)
https://github.com/python/cpython/commit/905e19a9bf9afd6439ea44fc6a4f3c8631750d6d
msg345457 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-06-13 05:07
Thanks for contributing the PRs!
History
Date User Action Args
2019-06-13 05:07:14ned.deilysetstatus: open -> closed
resolution: fixed
messages: + msg345457

stage: patch review -> resolved
2019-06-13 05:04:19ned.deilysetmessages: + msg345456
2019-06-11 07:24:02python-devsetpull_requests: + pull_request13833
2019-06-11 05:42:02ned.deilysetassignee: docs@python -> ned.deily
title: mac installation document wrong for python 3.7.3 -> "Using Python on a Macintosh" chapter of "Python Setup and Usage" doc is out-of-date
versions: + Python 3.8, Python 3.9
2019-06-11 05:38:28ned.deilysetmessages: + msg345183
2019-06-11 05:37:39ned.deilysetmessages: + msg345182
2019-06-11 02:50:12python-devsetpull_requests: + pull_request13831
2019-06-11 02:46:03python-devsetpull_requests: + pull_request13830
2019-06-11 02:40:29python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request13829
2019-06-11 01:48:04makdonsetmessages: + msg345170
2019-06-10 15:44:04xtreaksetnosy: + xtreak, ronaldoussoren, ned.deily
messages: + msg345135
components: + macOS
2019-06-10 15:40:22makdoncreate